List for driver bidder

Lists DRIVERS-audience listings where the caller (resolved to a Driver of their org) is a snapshot participant. Driver-side bidder view with filtering, sorting, and pagination. Returns the bidder shape (no internal_notes). | authz: allowed_org_types=[provider], min_org_role=driver | () -> (ListingForBidderListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenum or nullOptional
Field to sort by.
Allowed values:
sort_orderenum or nullOptional

Sort order (asc or desc).

Allowed values:
pageinteger or nullOptional>=1Defaults to 1
page_sizeinteger or nullOptional1-100Defaults to 20
filter_statusenum or nullOptional

Filter by listing status(es). Multi-select.

Allowed values:
filter_typeenum or nullOptional

Filter by listing type(s). Multi-select.

Allowed values:
filter_task_group_idstring or nullOptional
Filter to listings for this task group.
filter_order_idstring or nullOptional
Filter to listings on this order.
filter_created_by_org_idstring or nullOptional

Filter to listings created by this provider org (lister). Mostly useful on bidder views to slice by lister.

filter_created_by_user_idstring or nullOptional

Filter to listings created by this operator (audit).

filter_created_at_timestamp_gtedatetime or nullOptional

Filter created_at_timestamp >= value (inclusive).

filter_created_at_timestamp_ltedatetime or nullOptional

Filter created_at_timestamp <= value (inclusive).

filter_last_edited_at_timestamp_gtedatetime or nullOptional

Filter last_edited_at_timestamp >= value (inclusive).

filter_last_edited_at_timestamp_ltedatetime or nullOptional

Filter last_edited_at_timestamp <= value (inclusive).

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Listings List for Driver Bidder V1request Unprocessable Entity Error